<?php
/**
@brief パーティを定義しているファイル
@author minahito
@version $Id: party.php,v 1.4 2004/07/26 10:29:12 minahito Exp $
*/

require_once "xoops/class.object.php";

class bxPartyPartyObject extends exXoopsObject {
	function bxPartyPartyObject($id=null)
	{
		$this->initVar('id', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('uid', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('private', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('input_date', XOBJ_DTYPE_INT, time(), true);
		$this->initVar('update_date', XOBJ_DTYPE_INT, time(), true);
		$this->initVar('event_date', XOBJ_DTYPE_INT, time(), true);
		$this->initVar('limit_date', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('title', XOBJ_DTYPE_TXTBOX, null, true, 64);
		$this->initVar('url', XOBJ_DTYPE_URL, 'http://', false, 64);
		$this->initVar('headline', XOBJ_DTYPE_TXTAREA, null, true, null);
		$this->initVar('ex', XOBJ_DTYPE_TXTAREA, null, false, null);
		$this->initVar('status', XOBJ_DTYPE_INT, time(), true);
		$this->initVar('place', XOBJ_DTYPE_TXTBOX, null, false, 255);

		if ( is_array ( $id ) )
			$this->assignVars ( $id );
	}

	/**
	このオブジェクトとデーターベースとの接続方法を返す
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation('bxparty','id');
		return ($tinfo);
	}

	function &getStructure($type='s') {
		require_once "xoops/user.php";
		$arr = parent::getStructure($type);

		$uHandler=&xoops_gethandler('user');
		$user = new exXoopsUserObject($uHandler->get($arr['uid']));
		$arr['xoopsuser']=$user->getArray();

		$handler=&bxParty::getHandler('status');
		$status=&$handler->get($this->getVar('status'));
		if(!is_object($status)) $status=&$handler->create();
		$arr['status']=&$status->getArray($type);

		return $arr;
	}
}

?>